brick-2.9: A declarative terminal user interface library

Safe Haskell | None
Language | Haskell2010

Brick.Keybindings.Normalize

Synopsis

- normalizeKey :: [Modifier] -> Key -> Key

# Documentation

normalizeKey :: [Modifier] -> Key -> Key Source #

A keybinding involving modifiers should have its key character normalized to lowercase since it's impossible to get uppercase keys from the terminal when modifiers are present.